# Cinder

# cinder::gl::Material Class Reference

`#include <Material.h>`

List of all members.

## Public Member Functions
| Material ()
| Material (const Color &aAmbient, const Color &aDiffuse=Color(0, 0, 0), const Color &aSpecular=Color(0, 0, 0), float aShininess=1.0f, const Color &aEmission=Color(0, 0, 0), GLenum aFace=GL_FRONT)
void | apply () const
void | setAmbient (const Color &aAmbient)
void | setDiffuse (const Color &aDiffuse)
void | setSpecular (const Color &aSpecular)
void | setShininess (float aShininess)
void | setEmission (const Color &aEmission)
void | setFace (GLenum aFace)
## Protected Attributes
Color | mAmbient
Color | mDiffuse
Color | mSpecular
float | mShininess
Color | mEmission
GLenum | mFace

## Constructor & Destructor Documentation

cinder::gl::Material::Material | ( |  | ) |

cinder::gl::Material::Material | ( | const Color & | aAmbient,
|  | const Color & | aDiffuse = `Color( 0, 0, 0 )`,
|  | const Color & | aSpecular = `Color( 0, 0, 0 )`,
|  | float | aShininess = `1.0f`,
|  | const Color & | aEmission = `Color( 0, 0, 0 )`,
|  | GLenum | aFace = `GL_FRONT` |
| ) |  |  |

## Member Function Documentation

void cinder::gl::Material::apply | ( |  | ) | const

void cinder::gl::Material::setAmbient | ( | const Color & | aAmbient | ) |

void cinder::gl::Material::setDiffuse | ( | const Color & | aDiffuse | ) |

void cinder::gl::Material::setSpecular | ( | const Color & | aSpecular | ) |

void cinder::gl::Material::setShininess | ( | float | aShininess | ) |

void cinder::gl::Material::setEmission | ( | const Color & | aEmission | ) |

void cinder::gl::Material::setFace | ( | GLenum | aFace | ) |

## Member Data Documentation

Color cinder::gl::Material::mAmbient`[protected]`

Color cinder::gl::Material::mDiffuse`[protected]`

Color cinder::gl::Material::mSpecular`[protected]`

float cinder::gl::Material::mShininess`[protected]`

Color cinder::gl::Material::mEmission`[protected]`

GLenum cinder::gl::Material::mFace`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/gl/Material.h
- src/cinder/gl/Material.cpp